<div class="home-profile-modal" tabindex="-1" role="dialog" *ngIf="isDataLoaded">
  <div class="modal-dialog" role="document" style="max-width: 1000px;margin:3.4% 0;">
    <div class="modal-content">
      <div class="modal-header">
        <table style="width: 100%">
          <tr>
            <th style="margin-left: 40%">
              <div [ngStyle]="{'background': pfpSrc }">
                <img style="width: 125px;height: 125px;margin-left:45%;border-radius:50%" src="{{pfpSrc}}">
              </div>

            </th>
          </tr>
          <th>
            <input style="margin-left: 27%; margin-top: 2%" type="file" (change)="onFileSelected($event)">
            <button type="button" class="btn btn-primary" (click)="onUpdatePfp()">Update</button>
          </th>

        </table>




      </div>
      <div class="modal-body">
        <div style="margin-bottom: 4%;">
          <p>Username: <span>{{user_data[0].username}}</span> <button style="float: right;" class="btn btn-primary"
              data-toggle="modal" data-target="#usernameChangeModal">Edit
            </button>

          </p>



        </div>
        <hr>
        <div style="margin-bottom: 4%;">
          <p>Email: <span>{{user_data[0].email}}</span> <button style="float: right;" class="btn btn-primary"
              data-toggle="modal" data-target="#emailChangeModal">Edit
            </button> </p>

        </div>
        <hr>
        <div style="margin-bottom: 4%;">
          <p>Quiz Privacy: <span>{{user_data[0].quiz_privacy}}</span> <button style="float: right;"
              class="btn btn-primary" data-toggle="modal" data-target="#privacyChangeModal">Edit
            </button> </p>

        </div>

        <hr>
        <div style="margin-bottom: 4%;">
          <button style="float: left;" class="btn btn-primary" data-toggle="modal"
            data-target="#passwordChangeModal">Edit
            Password
          </button>
          <button style="float: right;" class="btn btn-primary" data-toggle="modal" data-target="#deleteAccModal">Delete
            Account
          </button>

        </div>
      </div>
    </div>
  </div>
</div>



<div class="modal fade" id="usernameChangeModal" tabindex="-1" role="dialog" aria-labelledby="usernameModalLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style="background-color:lightblue;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Changing Username:</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="usernameForm " (ngSubmit)="onUpdateUsername()">
          <input formControlName="new_username" style="border:20px;" class="form-control mr-sm-2" type="name"
            placeholder="New Username" aria-label="NewUsername">

        </form>
      </div>
      <div class="modal-footer">
        <div *ngIf="usernameEmpty" style="margin-right: 17%">
          <p style="color:red;float:left;">Please fill in a username!</p>
        </div>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <form (ngSubmit)="onUpdateUsername()">
          <button type="button submit" class="btn btn-primary">Save changes</button>
        </form>

      </div>
    </div>
  </div>
</div>



<div class="modal fade" id="emailChangeModal" tabindex="-1" role="dialog" aria-labelledby="emailModalLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style="background-color:lightblue;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Changing Email:</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="emailForm" (ngSubmit)="onUpdateEmail()">
          <input formControlName="new_email" style="border:20px;" class="form-control mr-sm-2" type="email"
            placeholder="New Email" aria-label="Email">

        </form>
      </div>
      <div class="modal-footer">
        <div *ngIf="emailEmpty" style="margin-right: 17%">
          <p style="color:red;float:left;">Please fill in an email!</p>
        </div>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <form (ngSubmit)="onUpdateEmail()">
          <button type="button submit" class="btn btn-primary">Save changes</button>
        </form>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="privacyChangeModal" tabindex="-1" role="dialog" aria-labelledby="privacyChangeModalLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style="background-color:lightblue;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Changing Quiz Privacy Setting:</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="quizPrivacyForm" (ngSubmit)="onUpdateQuizPrivacy()">
          <input formControlName="new_quiz_privacy" type="radio" value="Public" checked> Public<br>
          <input formControlName="new_quiz_privacy" type="radio" value="Friends Only"> Friends Only<br>
          <input formControlName="new_quiz_privacy" type="radio" value="Private"> Private
        </form>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <form (ngSubmit)="onUpdateQuizPrivacy()">
          <button type="button submit" class="btn btn-primary">Save changes</button>
        </form>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="passwordChangeModal" tabindex="-1" role="dialog" aria-labelledby="passwordChangeModalLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style="background-color:lightblue;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Changing Password:</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="passwordForm" (ngSubmit)="onUpdatePassword()">
          <input formControlName="old_password" style="border:20px;" class="form-control mr-sm-2" type="password"
            placeholder="Old Password" aria-label="oldPassword">
          <br>
          <input formControlName="new_password" style="border:20px;" class="form-control mr-sm-2" type="password"
            placeholder="New Password" aria-label="newPassword">
          <br>
          <input formControlName="new_retype_password" style="border:20px;" class="form-control mr-sm-2" type="password"
            placeholder="Re-type Password" aria-label="re-TypePassword">
        </form>
      </div>
      <div class="modal-footer">
        <div *ngIf="passwordEmpty" style="margin-right: 17%">
          <p style="color:red;float:left;">Please fill in a password!</p>
        </div>
        <div *ngIf="newPasswordEmpty" style="margin-right: 14%">
          <p style="color:red;float:left;">Please fill in new password!</p>
        </div>
        <div *ngIf="reTypeEmpty" style="margin-right: 10%">
          <p style="color:red;float:left;">Please fill in re-type password!</p>
        </div>
        <div *ngIf="newPasswordChar">
          <p style="color:red;float:left;">Your new password must be at least 8 characters!</p>
        </div>
        <div *ngIf="pwNoMatch" style="margin-right: 17%">
          <p style="color:red;float:left;">Your passwords do not match!</p>
        </div>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <form (ngSubmit)="onUpdatePassword()">
          <button type="button submit" class="btn btn-primary">Save changes</button>
        </form>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="deleteAccModal" tabindex="-1" role="dialog" aria-labelledby="deleteAccLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style="background-color:lightblue;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Are you sure you want to delete this account?</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" (click)="onDeleteUser()" data-dismiss="modal">I am sure</button>
      </div>
    </div>
  </div>
</div>